use full name for verify_user
[pve-access-control.git] / changelog.Debian
1 libpve-access-control (1.0-11) unstable; urgency=low
2
3   * fix bug in exec_api2_perm_check
4   
5  -- Proxmox Support Team <support@proxmox.com>  Wed, 15 Feb 2012 07:06:30 +0100
6
7 libpve-access-control (1.0-10) unstable; urgency=low
8
9   * fix ACL group name parser
10   
11   * changed 'pveum aclmod' command line arguments
12
13  -- Proxmox Support Team <support@proxmox.com>  Tue, 14 Feb 2012 12:08:02 +0100
14
15 libpve-access-control (1.0-9) unstable; urgency=low
16
17   * fix bug in check_volume_access (fixes vzrestore)
18
19  -- Proxmox Support Team <support@proxmox.com>  Mon, 13 Feb 2012 09:56:37 +0100
20
21 libpve-access-control (1.0-8) unstable; urgency=low
22
23   * fix return value for empty ACL list.
24
25  -- Proxmox Support Team <support@proxmox.com>  Fri, 10 Feb 2012 11:25:04 +0100
26
27 libpve-access-control (1.0-7) unstable; urgency=low
28
29   * fix bug #85: allow root@pam to generate tickets for other users
30
31  -- Proxmox Support Team <support@proxmox.com>  Tue, 17 Jan 2012 06:40:18 +0100
32
33 libpve-access-control (1.0-6) unstable; urgency=low
34
35   * API change: allow to filter enabled/disabled users.
36
37  -- Proxmox Support Team <support@proxmox.com>  Wed, 11 Jan 2012 12:30:37 +0100
38
39 libpve-access-control (1.0-5) unstable; urgency=low
40
41   * add a way to return file changes (diffs): set_result_changes()
42
43  -- Proxmox Support Team <support@proxmox.com>  Tue, 20 Dec 2011 11:18:48 +0100
44
45 libpve-access-control (1.0-4) unstable; urgency=low
46
47   * new environment type for ha agents
48
49  -- Proxmox Support Team <support@proxmox.com>  Tue, 13 Dec 2011 10:08:53 +0100
50
51 libpve-access-control (1.0-3) unstable; urgency=low
52
53   * add support for delayed parameter parsing - We need that to disable
54     file upload for normal API request (avoid DOS attacs)
55
56  -- Proxmox Support Team <support@proxmox.com>  Fri, 02 Dec 2011 09:56:10 +0100
57
58 libpve-access-control (1.0-2) unstable; urgency=low
59
60   * fix bug in fork_worker
61
62  -- Proxmox Support Team <support@proxmox.com>  Tue, 11 Oct 2011 08:37:05 +0200
63
64 libpve-access-control (1.0-1) unstable; urgency=low
65
66   * allow '-' in permission paths
67   
68   * bump version to 1.0
69
70  -- Proxmox Support Team <support@proxmox.com>  Mon, 27 Jun 2011 13:51:48 +0200
71
72 libpve-access-control (0.1) unstable; urgency=low
73
74   * first dummy package - no functionality
75
76  -- Proxmox Support Team <support@proxmox.com>  Thu, 09 Jul 2009 16:03:00 +0200
77